Make it easier to select multiple issues via checkboxes
Status: Closed Start date: 2010-05-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It's possible to select multiple issues by checking the checkboxes in the issue table. However, you have to make sure you hit the

actual checkbox, because if you miss the checkbox but still hit the table cell that contains the checkbox all your marked issues are

dropped.

In my opinion, a good solution would be to count clicks within the entire tr.issue.td.checkbox region since is most likely that the user

intended to check the checkbox (this is probably not valid css ;-)).

Related issues:

Is duplicate of Redmine - Defect #30236: Accidentally clicking next to the ch... Closed

History

#1 - 2010-08-08 18:11 - Moritz Voss

+1

#2 - 2010-08-08 18:14 - Nick Peelman

Have you tried holding control or shift when selecting multiple items?

#3 - 2010-08-08 18:25 - John B

What Nick Peelman just wrote does in fact solve the problem, but I didn't know about this feature until now.

Also, it seems that by using Shift you get some strange behaviour (multiple items get selected if you shit-click on the cell of the checkbox but not the

checkbox itself.); In my case Issue #8 + Issue #9 got selected automatically when shift-clicking on Issue #9's cell that contains the checkbox.

#4 - 2011-03-14 21:55 - Jonas De Meulenaere

- Category set to Issues

Use Crtl instead to select individual lines. Shift selects a range of lines (from...to). This behaviour is identical to other list selection on Windows/Linux.

#5 - 2013-03-28 04:30 - Phil Miller

Shift-click selects issues between a range when clicking outside the checkbox, but not when clicking on the checkbox(es) for either click. So, range

selection is now possible (i.e. this issue could be resolved) but it has some usability problems.

#6 - 2020-03-03 14:33 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

John B wrote:

In my opinion, a good solution would be to count clicks within the entire tr.issue.td.checkbox region since is most likely that the user intended to

check the checkbox (this is probably not valid css ;-)).

 Fixed in Redmine 4.0.2 (#30236).

#7 - 2020-03-03 14:33 - Go MAEDA

- Is duplicate of Defect #30236: Accidentally clicking next to the checkbox breaks issue selection added
